Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.common
Enum Property.Type

    java.lang.Object
      java.lang.Enum<Property.Type>
          net.minecraftforge.common.Property.Type

All Implemented Interfaces:
  Serializable, Comparable<Property.Type>

Enclosing class:
  Property

    public static enum Property.Type

extends Enum<Property.Type>

Enum Constant Summary
`BOOLEAN`
`DOUBLE`
`INTEGER`
`STRING`

Method Summary
`char` | `getID()`
`static Property.Type` | `tryParse(char id)`
`static Property.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Property.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final Property.Type STRING

### INTEGER

    public static final Property.Type INTEGER

### BOOLEAN

    public static final Property.Type BOOLEAN

### DOUBLE

    public static final Property.Type DOUBLE

Method Detail

### values

    public static Property.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Property.Type c : Property.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Property.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### tryParse

    public static Property.Type tryParse(char id)

### getID

    public char getID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD